Loading...
Searching...
No Matches
caf::detail::tl_right< List, NewSize, OldSize > Struct Template Reference

Creates a new list containing the last N elements. More...

`#include <type_list.hpp>`

## Public Types

using | type = tl_slice_t<List, first_idx, OldSize>

## Static Public Attributes

static constexpr size_t | first_idx = OldSize > NewSize ? OldSize - NewSize : 0

## Detailed Description

template<class List, size_t NewSize, size_t OldSize = tl_size<List>::value>
struct caf::detail::tl_right< List, NewSize, OldSize >

Creates a new list containing the last N elements.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp